"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault").default;
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.writeTemplate = void 0;
var _keys = _interopRequireDefault(require("@babel/runtime-corejs3/core-js/object/keys"));
var _fs = _interopRequireDefault(require("fs"));
var _path = _interopRequireDefault(require("path"));
/**
 * Write the contents of the template to the destination and interpolate the variables.
 * The template is a string that uses standard es6 template literals which allow embded expression.
 */
const writeTemplate = (templatePath, destination, templateValues = {}) => {
  const templateString = _fs.default.readFileSync(_path.default.join(__dirname, templatePath), 'utf-8');
  const template = templatized(templateString, templateValues);
  _fs.default.writeFileSync(destination, '// This file was generated by RedwoodJS\n' + template);
};
exports.writeTemplate = writeTemplate;
const templatized = (template, vars = {}) => {
  const handler = new Function('vars', ['const tagged = ( ' + (0, _keys.default)(vars).join(', ') + ' ) =>', '`' + template + '`', 'return tagged(...Object.values(vars))'].join('\n'));
  return handler(vars);
};